# NVM_Config_t Struct Reference
[NVM]

Configuration structure. More...

`#include <nvm.h>`

Collaboration diagram for NVM_Config_t:
[legend]

## Data Fields
NVM_Page_Table_t const * | nvmPages
| Pointer to table defining NVM pages.
uint8_t const | pages
| Total number of physical pages.
uint8_t const | userPages
| Number of defined (used) pages.
uint8_t const * | nvmArea
| Pointer to nvm area in flash.

## Detailed Description

Configuration structure.

Definition at line 167 of file nvm.h.

## Field Documentation

uint8_t const* NVM_Config_t::nvmArea

Pointer to nvm area in flash.

Definition at line 171 of file nvm.h.

Referenced by NVM_Erase(), NVM_Init(), and NVM_WearLevelGet().

NVM_Page_Table_t const* NVM_Config_t::nvmPages

Pointer to table defining NVM pages.

Definition at line 168 of file nvm.h.

Referenced by NVM_Init().

uint8_t const NVM_Config_t::pages

Total number of physical pages.

Definition at line 169 of file nvm.h.

Referenced by NVM_Erase(), NVM_Init(), and NVM_WearLevelGet().

uint8_t const NVM_Config_t::userPages

Number of defined (used) pages.

Definition at line 170 of file nvm.h.

Referenced by NVM_Init().

The documentation for this struct was generated from the following file:

- nvm/inc/nvm.h